package com.ozs.mdm.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ozs.mdm.dto.ColumnInfoDTO;
import com.ozs.mdm.dto.KpiListColumnDTO;
import com.ozs.mdm.dto.MdmInfoColumn;
import com.ozs.mdm.dto.MdmInfoDatabase;
import com.ozs.mdm.dto.MdmInfoTable;

public interface KpiManageMapper {

	List<MdmInfoDatabase> listDatabase(@Param("resourceName") String resourceName);

	List<MdmInfoTable> listTableByDatabaseId(@Param("databaseId") String databaseId);

	List<MdmInfoColumn> listColumnByTableId(@Param("tableId") String tableId);

	List<KpiListColumnDTO> listColumn(@Param("databaseId") String databaseId, @Param("tableId") String tableId);

	List<KpiListColumnDTO> listColumnByIds(@Param("list") List<String> ids);

	ColumnInfoDTO getColumnInfoByIds(@Param("id") String id);

	List<MdmInfoDatabase> listOriginal(@Param("resourceName") String resourceName);

	MdmInfoDatabase getDatabase(@Param("id")String id);

}
